import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/basic.info/pricemonitor/` + url, ...arg)

/**
 * 价格监测Api接口管理器
 *
 * @author weiyinbin
 * @date  2024/04/02 15:09
 **/
export default {
	// 获取价格监测分页
	priceMonitorPage(data) {
		return request('page', data, 'get')
	},
	// 提交价格监测表单新增
	priceMonitorAdd(data) {
		return request('add', data, 'post')
	},
	// 提交价格监测表单 edit为true时为编辑，默认为新增
	priceMonitorEdit(data) {
		return request('edit', data, 'post')
	},
	// 删除价格监测
	priceMonitorDelete(data) {
		return request('delete', data, 'post')
	},
	// 获取价格监测详情
	priceMonitorDetail(data) {
		return request('detail', data, 'get')
	}
}
