import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/basic.info/remindcycle/` + url, ...arg)

/**
 * 报送周期Api接口管理器
 *
 * @author weiyinbin
 * @date  2024/04/02 14:45
 **/
export default {
	// 获取报送周期分页
	remindCyclePage(data) {
		return request('page', data, 'get')
	},
	// 提交报送周期表单新增
	remindCycleAdd(data) {
		return request('add', data, 'post')
	},
	// 提交报送周期表单 edit为true时为编辑，默认为新增
	remindCycleEdit(data) {
		return request('edit', data, 'post')
	},
	// 删除报送周期
	remindCycleDelete(data) {
		return request('delete', data, 'post')
	},
	// 获取报送周期详情
	remindCycleDetail(data) {
		return request('detail', data, 'get')
	}
}
