import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/basic.info/usercollect/` + url, ...arg)

/**
 * 采集人员Api接口管理器
 *
 * @author weiyinbin
 * @date  2024/04/02 15:40
 **/
export default {
	// 获取采集人员分页
	userCollectPage(data) {
		return request('page', data, 'get')
	},
	// 提交采集人员表单 新增
	submitAddForm(data) {
		return request('add', data, 'post')
	},
	// 编辑
	submitEditForm(data) {
		return request('edit', data, 'post')
	},
	// 删除采集人员
	userCollectDelete(data) {
		return request('delete', data, 'post')
	},
	// 获取采集人员详情
	userCollectDetail(data) {
		return request('detail', data, 'get')
	},
	// 获取监测点详情
	monitoringPoints(data) {
		return request('getPricemonitor', data, 'get')
	}
}
