import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/enterpriseCreditManagement.info` + url, ...arg)
const requestDel = (url, ...arg) => baseRequest(`/dataQualityAssessmen.info` + url, ...arg)

export default {
	//信用档案-信用数据管理
	XYDAlist(data) {
		return request(`/ecmCreditData/findPage`, data, 'get')
	},

	XYDAXla(data) {
		return request(`/ecmCreditData/getUnitList`, data, 'get')
	},
	//add
	XYDAXadd(data) {
		return request(`/ecmCreditData/add`, data, 'post')
	},
	//del
	XYDAXdel(data) {
		return request(`/ecmCreditData/delete`, data, 'post')
	},
	//view
	XYDAXview(data) {
		return request(`/ecmCreditData/detail`, data, 'get')
	},
	//edit
	XYDAXedit(data) {
		return request(`/ecmCreditData/edit`, data, 'post')
	},

	// 信用评价
	XYPJlist(data) {
		return request(`/ecmCreditAssess/page`, data, 'get')
	},
	//add

	XYPJadd(data) {
		return request(`/ecmCreditAssess/add`, data, 'post')
	},
	//detail
	XYPJdetail(data) {
		return request(`/ecmCreditAssess/detail`, data, 'get')
	},
	//edit
	XYPJedit(data) {
		return request(`/ecmCreditAssess/edit`, data, 'post')
	},
	XYPJdelete(data) {
		return request(`/ecmCreditAssess/delete`, data, 'post')
	},
	//共享
	XYPJshares(data) {
		return request(`/ecmCreditData/shares`, data, 'post')
	},

	// 数据质量考核
	//正确性
	SJLKHlist(data) {
		return requestDel(`/dqaDataAnalysis/findAccuracyPage`, data, 'get')
	},
	SJLKHview(data) {
		return requestDel(`/dqaDataAnalysis/findAccuracyDetailPage`, data, 'get')
	},
	//完整性
	WZXlist(data) {
		return requestDel(`/dqaDataAnalysis/findComplePage`, data, 'get')
	},
	WZXlview(data) {
		return requestDel(`/dqaDataAnalysis/findCompleDetailPage`, data, 'get')
	},

	// 数据量
	SHUJULIANGlist(data) {
		return requestDel(`/dqaDataAnalysis/findCountPage`, data, 'get')
	},
	SHUJULIANGview(data) {
		return requestDel(`/dqaDataAnalysis/findCountDetailPage`, data, 'get')
	},

	//数据考核质量
	KAOHElist(data) {
		return requestDel(`/dqaDataAnalysis/findAtuoPage`, data, 'get')
	},
	// view
	KAOHEview(data) {
		return requestDel(`/dqaDataAnalysis/findAtuoDetailPage`, data, 'get')
	},
	//导出

	// /dataQualityAssessmen.info

	DAOCHUa(data) {
		return requestDel(`/dqaDataAnalysis/exportByEntity`, data, 'post')
	}
}
