import { baseRequest } from '@/utils/request'
const request = (url, ...arg) => baseRequest(`/emergencySupport` + url, ...arg)
const request2 = (url, ...arg) => baseRequest(`/basic.info/unitInfo/` + url, ...arg)
const request3 = (url, ...arg) => baseRequest(`/policy.info/auditRequest/` + url, ...arg)

export const getAllChildrenData = (data) => {
	return request2('getAllChildren', data, 'get')
}

export const save = (data) => {
	return request('/esNetworkEntry/saveOrupdate', data, 'post')
}

export const list = (query) => {
	return request('/esNetworkEntry/page', query, 'get')
}

export const del = (data) => {
	return request('/esNetworkEntry/delete', data, 'post')
}

export const detail = (query) => {
	return request('/esNetworkEntry/detail', query, 'get')
}

export const report = (data) => {
	return request('/esNetworkEntry/edit', data, 'post')
}

export const count = (query) => {
	return request('/esNetworkEntry/count', query, 'get')
}

export const approve = (query) => {
	return request3('esNetworkEntryRequest', query, 'get')
}

export const approveList = (query) => {
	return request3('esNetworkEntryPage', query, 'get')
}

export const approveDetail = (query) => {
	return request3('esNetworkEntryDetail', query, 'get')
}
