import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/policy.info/mlpAdviceCollect/` + url, ...arg)
const requestBZV = (url, ...arg) => baseRequest(`/policy.info/mlpAdviceCollectFeedback/` + url, ...arg)

/**
 * 意见收集
 *
 * @author weiyinbin
 * @date  2024/04/17 10:58
 **/
export default {
	get(data) {
		return request('page', data, 'get')
	},
	add(data) {
		return request('add', data, 'post')
	},
	edit(data) {
		return request('edit', data, 'post')
	},
	delete(data) {
		return request('delete', data, 'post')
	},
	detail(data) {
		return request('detail', data, 'get')
	},
	advice(data) {
		return request('selectAdvice', data, 'get')
	},

	BZView(data) {
		return requestBZV('detail', data, 'get')
	}
}
