import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/policy.info/auditRequest/` + url, ...arg)
const request1 = (url, ...arg) => baseRequest(`/policy.info/sqrEnterpriseApply/` + url, ...arg)
const request2 = (url, ...arg) => baseRequest(`/policy.info/sqrEnterprise/` + url, ...arg)

// 承储资格审批
export default {
	// 承储资格企业分页
	pageEnterprisePage(data) {
		return request('pageEnterprise', data, 'get')
	},
	// 承储资格企业详情
	enterpriseInfoDetail(data) {
		return request('enterpriseInfo', data, 'get')
	},
	// 承储资格证书补发审批列表
	reissuePageList(data) {
		return request('reissuePage', data, 'get')
	},
	// 承储资格证书补发审批详情auditRequest/reissuePage
	reissueInfoData(data) {
		return request('reissueInfo', data, 'get')
	},
	// 承储资格证书补发审批审核
	reissueInfoAudit(data) {
		return request('reissueAudit', data, 'get')
	},
	// 信息变更列表
	informationPage(data) {
		return request('infoChangesPage', data, 'get')
	},
	// 信息变更审核
	informationAudit(data) {
		return request('infoChangesAudit', data, 'get')
	},
	// 信息变更查看
	informationDetail(data) {
		return request('getSqrEnterpriseDetail', data, 'get')
	},
	// 承储资格证书补发申请列表
	sqrEnterprisePage(data) {
		return request1('page', data, 'get')
	},
	// 承储资格证书补发申请详情
	sqrEnterpriseDetail(data) {
		return request1('detail', data, 'get')
	},
	// 承储资格证书补发申请删除
	sqrEnterpriseDelete(data) {
		return request1('delete', data, 'post')
	},
	// 承储资格证书补发申请保存和提交
	sqrEnterpriseEdit(data) {
		return request1('edit', data, 'post')
	},
	// 证书补发企业名称接口
	enterpriseName(data) {
		return request2('TreeList', data, 'get')
	}
}
