import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/safeStorage/` + url, ...arg)
const request1 = (url, ...arg) => baseRequest(`/biz/dict/` + url, ...arg)
// 安全风险台账管理
export default {
	// 日常安全检查-安全生产检查表库区下拉框
	safeStorageGetOrgInfo(data) {
		return request('ssSafeProductInspection/getOrgInfo', data, 'get')
	},
	// 分页
	ssriskaccidentPage(data) {
		return request('ssriskaccident/page', data, 'get')
	},
	//新增
	ssriskaccidentAdd(data) {
		return request('ssriskaccident/add', data, 'post')
	},
	//编辑
	ssriskaccidentedit(data) {
		return request('ssriskaccident/edit', data, 'post')
	},
	//删除
	ssriskaccidentDelete(data) {
		return request('ssriskaccident/delete', data, 'post')
	},
	//查看
	ssriskaccidentDetail(data) {
		return request('ssriskaccident/detail', data, 'get')
	},
	// 图表统计
	ssriskaccidentChart(data) {
		return request('ssriskaccident/statisticalChart', data, 'post')
	},
	// 风险智能识别表分页
	recognizetPage(data) {
		return request('ssRiskIntelligentRecognize/page', data, 'get')
	},
	// 风险智能识别表查看
	recognizetDetail(data) {
		return request('ssRiskIntelligentRecognize/detail', data, 'get')
	},
	// 所属市州
	recognizetParentId(data) {
		return request1('getByParentId', data, 'get')
	},
	// 风险双预控管理页面
	// 分页
	preventionPage(data) {
		return request('ssRiskDoublePrevention/page', data, 'get')
	},
	// 新增
	preventionAdd(data) {
		return request('ssRiskDoublePrevention/add', data, 'post')
	},
	// 编辑
	preventionEdit(data) {
		return request('ssRiskDoublePrevention/edit', data, 'post')
	},
	// 删除
	preventionDelete(data) {
		return request('ssRiskDoublePrevention/delete', data, 'post')
	},
	// 查看
	preventionDetail(data) {
		return request('ssRiskDoublePrevention/detail', data, 'get')
	},
	// 火灾预警
	// 列表分页
	ssFireWarnPage(data) {
		return request('ssFireWarn/page', data, 'get')
	},
	// 视频联动
	// 列表分页
	ssVideoLinkagePage(data) {
		return request('ssVideoLinkage/page', data, 'get')
	}
	// 查看视频详情
	// ssVideoLinkageDetail(data) {
	// 	return request('ssVideoLinkage/detail', data, 'get')
	// }
}
