import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/safeStorage/` + url, ...arg)
// 安全生产检查
export default {
	// 获取安全仓储-安全储粮检查表表分页
	safeStoragePage(data) {
		return request('ssSafeGrainStorageInspection/page', data, 'get')
	},
	// 日常安全检查-安全储粮检查表新增
	safeStorageAdd(data) {
		return request('ssSafeGrainStorageInspection/add', data, 'post')
	},
	// 日常安全检查-安全储粮检查表编辑
	safeStorageEdit(data) {
		return request('ssSafeGrainStorageInspection/edit', data, 'post')
	},
	// 日常安全检查-安全储粮检查表删除
	safeStorageDelete(data) {
		return request('ssSafeGrainStorageInspection/delete', data, 'post')
	},
	// 日常安全检查-安全储粮检查表详情
	safeStorageDetail(data) {
		return request('ssSafeGrainStorageInspection/detail', data, 'get')
	},
	// 日常安全检查-安全储粮检查表库区下拉框
	safeStorageGetOrgInfo(data) {
		return request('ssSafeProductInspection/getOrgInfo', data, 'get')
	},
	// 日常安全检查-安全生产检查表列表下发
	safeStorageIssued(data) {
		return request('ssSafeGrainStorageInspection/issued', data, 'get')
	},
	// 安全储粮检查结果的详情
	safeStorageResultDetail(data) {
		return request('ssSafeGrainStorageInspectionResult/detail', data, 'get')
	},
	// 安全储粮检查结果的列表/
	safeStorageResultPage(data) {
		return request('ssSafeGrainStorageInspectionResult/getResultPage', data, 'get')
	}
}
