import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/safeStorage/` + url, ...arg)
const request1 = (url, ...arg) => baseRequest(`/statisticalReport.info/` + url, ...arg)
// 安全生产检查
export default {
	// 日常安全检查-安全生产检查表分页
	safeStoragePage(data) {
		return request('ssSafeProductInspection/page', data, 'get')
	},
	// 日常安全检查-安全生产检查表新增
	safeStorageAdd(data) {
		return request('ssSafeProductInspection/add', data, 'post')
	},
	// 日常安全检查-安全生产检查表编辑
	safeStorageEdit(data) {
		return request('ssSafeProductInspection/edit', data, 'post')
	},
	// 日常安全检查-安全生产检查表删除
	safeStorageDelete(data) {
		return request('ssSafeProductInspection/delete', data, 'post')
	},
	// 日常安全检查-安全生产检查表详情
	safeStorageDetail(data) {
		return request('ssSafeProductInspection/detail', data, 'get')
	},
	// 日常安全检查-安全生产检查表库区下拉框
	safeStorageGetOrgInfo(data) {
		return request('ssSafeProductInspection/getOrgInfo', data, 'get')
	},
	// 日常安全检查-安全生产检查表列表下发
	safeStorageIssued(data) {
		return request('ssSafeProductInspection/issued', data, 'get')
	},
	// 检查结果详情
	safeStorageResultDetail(data) {
		return request1('ssSafeProductInspectionResult/detail', data, 'get')
	},
	// 检查结果/
	safeStorageResultPage(data) {
		return request('ssSafeProductInspection/resultPage', data, 'get')
	}
}
